<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_main.mvvm.NotificationMainViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_main.ui.NotificationFragment.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.StatusbarGrayView
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_46dp">

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="信息"
                android:textColor="@color/black"
                android:textSize="@dimen/d_18sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right|center_vertical"
                android:layout_marginRight="@dimen/d_15dp"
                android:text="全部已读"
                android:textColor="@color/profile_red"
                android:textSize="@dimen/d_16sp"
                binding:clicks="@{click.readAll}" />

        </FrameLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_0.7dp"
            android:background="@color/divider_color_ee" />

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:focusable="true"
            android:focusableInTouchMode="true"
            app:srlEnablePreviewInEditMode="true"
            app:srlPrimaryColor="@color/white">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="vertical">

            </androidx.recyclerview.widget.RecyclerView>

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>


</layout>
